Get IP Assets in a collection
curl --request GET \
--url https://staging.crossmint.com/api/v1/ip/collections/{collectionId}/ipassets \
--header 'X-API-KEY: <x-api-key>'import requests
url = "https://staging.crossmint.com/api/v1/ip/collections/{collectionId}/ipassets"
headers = {"X-API-KEY": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<x-api-key>'}};
fetch('https://staging.crossmint.com/api/v1/ip/collections/{collectionId}/ipassets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
"actionId": "d290f1ee-6c54-4b01-90e6-d701748f0851",
"nftMetadata": {
"name": "Art #123",
"description": "A unique story NFT",
"image": "https://example.com/nft/123.png"
},
"ipAssetMetadata": {
"title": "Harry Potter and the Philosopher's Stone",
"createdAt": "1997-06-26T00:00:00",
"ipType": "literature",
"image": "https://example.com/book-cover.jpg",
"imageHash": "0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef",
"mediaUrl": "link_to_epub",
"mediaHash": "0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef",
"mediaType": "application/epub+zip",
"creators": [
{
"name": "JK Rowling",
"email": "JKRowling@example.com",
"crossmintUserLocator": "email:JKRowling@example.com:story",
"description": "Author",
"contributionPercent": 80,
"socialMedia": [
{
"platform": "Wikipedia",
"url": "https://en.wikipedia.org/wiki/J._K._Rowling"
}
]
},
{
"name": "Thomas Taylor",
"address": "0x1234567890123456789012345678901234567890",
"description": "Illustrator",
"contributionPercent": 15
},
{
"name": "Bloomsbury Publishing",
"email": "BloomsburyPublishing@example.com",
"address": "0x1234567890123456789012345678901234567890",
"description": "Publisher",
"contributionPercent": 5,
"socialMedia": [
{
"platform": "Website",
"url": "https://www.bloomsbury.com/"
}
]
}
],
"media": [
{
"name": "ePub",
"url": "link_to_epub",
"mimeType": "application/epub+zip"
},
{
"name": "Book Summary PDF",
"url": "link_to_book_summary_pdf",
"mimeType": "application/pdf"
}
],
"attributes": [
{
"key": "ISBN",
"value": "978-0-7475-3269-0"
},
{
"key": "Genre",
"value": "Fantasy"
}
]
},
"onChain": {
"chain": "story-testnet",
"contractAddress": "0x123",
"status": "success",
"ipAssetId": "d290f1ee-6c54-4b01-90e6-d701748f0851",
"tokenId": "1",
"txId": "0x123",
"owner": "0x123",
"explorerLink": "https://portal.story.foundation/assets/0xAC6062FF53fa41e61Fe01B89B83d9dB96b5F9280"
},
"licenseTerms": [
{
"type": "non-commercial-social-remixing"
}
],
"derivData": {
"parentIpIds": [
"0x123"
],
"licenseTermsIds": [
1
],
"maxMintingFee": 0,
"maxRevenueShare": 100,
"maxRts": 10000000
}
}
]IP Assets
Get IP Assets in Collection
Get all IP Assets in a collection
API scope required: nfts.read
GET
/
v1
/
ip
/
collections
/
{collectionId}
/
ipassets
Get IP Assets in a collection
This API is still under development. Contact support for early access.
Headers
API key required for authentication
Path Parameters
Response
200 - application/json
IP Assets found
The id of the IPAsset
Example:
"d290f1ee-6c54-4b01-90e6-d701748f0851"
The action id for the IPAsset creation
Example:
"d290f1ee-6c54-4b01-90e6-d701748f0851"
Metadata for the NFT representation of this IP asset
Show child attributes
Show child attributes
Example:
{
"name": "Art #123",
"description": "A unique story NFT",
"image": "https://example.com/nft/123.png"
}
Metadata containing information about the IP asset itself
Show child attributes
Show child attributes
Example:
{
"title": "Harry Potter and the Philosopher's Stone",
"createdAt": "1997-06-26T00:00:00",
"ipType": "literature",
"image": "https://example.com/book-cover.jpg",
"imageHash": "0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef",
"mediaUrl": "link_to_epub",
"mediaHash": "0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef",
"mediaType": "application/epub+zip",
"creators": [
{
"name": "JK Rowling",
"email": "JKRowling@example.com",
"crossmintUserLocator": "email:JKRowling@example.com:story",
"description": "Author",
"contributionPercent": 80,
"socialMedia": [
{
"platform": "Wikipedia",
"url": "https://en.wikipedia.org/wiki/J._K._Rowling"
}
]
},
{
"name": "Thomas Taylor",
"address": "0x1234567890123456789012345678901234567890",
"description": "Illustrator",
"contributionPercent": 15
},
{
"name": "Bloomsbury Publishing",
"email": "BloomsburyPublishing@example.com",
"address": "0x1234567890123456789012345678901234567890",
"description": "Publisher",
"contributionPercent": 5,
"socialMedia": [
{
"platform": "Website",
"url": "https://www.bloomsbury.com/"
}
]
}
],
"media": [
{
"name": "ePub",
"url": "link_to_epub",
"mimeType": "application/epub+zip"
},
{
"name": "Book Summary PDF",
"url": "link_to_book_summary_pdf",
"mimeType": "application/pdf"
}
],
"attributes": [
{
"key": "ISBN",
"value": "978-0-7475-3269-0"
},
{ "key": "Genre", "value": "Fantasy" }
]
}
- Option 1
- Option 2
Show child attributes
Show child attributes
licenseTerms
(Non-commercial Social Remixing License Terms · object | Commercial Use License Terms · object | Commercial Remix License Terms · object)[]
Licensing parameters for the IP asset, NOTE: For detailed and updated license terms, refer to the 'Get IP Asset License' endpoint
License parameters
- Non-commercial Social Remixing License Terms
- Commercial Use License Terms
- Commercial Remix License Terms
Show child attributes
Show child attributes
Example:
{ "type": "non-commercial-social-remixing" }
Data for the parent IP asset and license terms (for derivative IP assets only)
Show child attributes
Show child attributes
Example:
{
"parentIpIds": ["0x123"],
"licenseTermsIds": [1],
"maxMintingFee": 0,
"maxRevenueShare": 100,
"maxRts": 10000000
}
Was this page helpful?
⌘I

